summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorStefan Sauer <ensonic@users.sf.net>2015-06-07 17:16:13 +0200
committerStefan Sauer <ensonic@users.sf.net>2015-06-07 17:16:13 +0200
commit0d6356d156032a7c15dbe1b48981936b4ad56f6a (patch)
treee59ac475f4e285c940dd60eb304d2d56a58a0d99 /autogen.sh
parent37961bd4b3b597d92bb455d15b8b52d1ffe2dc59 (diff)
Automatic update of common submodule
From 241fcb7 to c408583
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh29
1 files changed, 20 insertions, 9 deletions
diff --git a/autogen.sh b/autogen.sh
index 61f93f2c7..430ff0d1a 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -13,7 +13,6 @@ test -n "$srcdir" || srcdir=.
olddir=`pwd`
cd "$srcdir"
-DIE=0
package=gst-plugins-base
srcfile=gst-plugins-base.doap
@@ -56,13 +55,25 @@ fi
autogen_options $@
printf "+ check for build tools"
-if test ! -z "$NOCHECK"; then echo ": skipped version checks"; else echo; fi
-version_check "autoreconf" "autoreconf " \
- "ftp://ftp.gnu.org/pub/gnu/autoconf/" 2 68 || DIE=1
-version_check "pkg-config" "" \
- "http://www.freedesktop.org/software/pkgconfig" 0 8 0 || DIE=1
-
-die_check $DIE
+if test -z "$NOCHECK"; then
+ echo
+
+ printf " checking for autoreconf ... "
+ echo
+ which "autoreconf" 2>/dev/null || {
+ echo "not found! Please install the autoconf package."
+ exit 1
+ }
+
+ printf " checking for pkg-config ... "
+ echo
+ which "pkg-config" 2>/dev/null || {
+ echo "not found! Please install pkg-config."
+ exit 1
+ }
+else
+ echo ": skipped version checks"
+fi
# if no arguments specified then this will be printed
if test -z "$*" && test -z "$NOCONFIGURE"; then
@@ -76,7 +87,7 @@ fi
toplevel_check $srcfile
# autopoint
-if test -d po ; then
+if test -d po && grep ^AM_GNU_GETTEXT_VERSION configure.ac >/dev/null ; then
tool_run "autopoint" "--force"
fi